// 采购辅料汽运监控
<template>
  <div class="purchaseAccessoriesMonitor">
    <div class="frameCalculation">
      <span>进厂时间：</span>
      <el-date-picker
        v-model="startTime"
        type="date"
        placeholder="选择日期"
      >
      </el-date-picker>
      <span>至</span>
      <el-date-picker
        v-model="endTime"
        type="date"
        placeholder="选择日期"
      >
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <div class="table">
      <dilTable v-bind.sync="option"></dilTable>
    </div>
  </div>
</template>

<script>
import { sjTime } from '@/utils/sharedJsFile'
export default {
  data() {
    return {
      option: {
        requestUrl: "/api/v1/tms/getRLFLReport?apiId=382&orderType=5&startTime=null&endTime=null&i=" +new Date(),
      },
      startTime: null,
      endTime: null,
    };
  },
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if(this.startTime){
        startTime = sjTime(this.startTime);
      }
      if(this.endTime){
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime){
        if(startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getRLFLReport?apiId=382&orderType=5&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date();
        }else{
          this.startTime = null;
          this.endTime = null;
          this.$message.warning('开始时间要比结束时间早')
        }
      }else{
        this.option.requestUrl = "/api/v1/tms/getRLFLReport?apiId=382&orderType=5&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date();
      }
    },
  },
};
</script>

<style lang="scss">
.purchaseAccessoriesMonitor {
  .frameCalculation {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    padding-left: 50px;
    .el-date-editor{
      margin: 20px;
    }
  }
}
</style>